Subject: [bug#50563] [PATCH [0/2] gnu: GDM: Add Wayland support

From: Mathieu Othacehe <[email-masked]>
Date: Fri, 01 Oct 2021 07:33:40 +0000

Hey,

> After looking around, this is because in the `wip-gnome40-wayland` branch the
> `sway` package has been upgraded to 1.6, introducing a regression with the
> bochs-drm driver that is used in qemu by default.
> If you start qemu with `-vga virtio`, sway starts as usual.
> This was reported upstream at https://github.com/swaywm/sway/issues/6244

Oh, good catch! Running the following command works flawlessly indeed:

--8<---------------cut here---------------start------------->8---
$(./pre-inst-env guix system vm gnu/system/examples/desktop.tmpl --no-grafts --no-offload -v3 -K) -m 4096 -vga virtio
--8<---------------cut here---------------end--------------->8---

Thanks,

Mathieu